Skip to navigation

Updating a Custom Activity instance

View as Markdown

A Custom Activity can be updated to add, change or remove any Custom Fields and to change the status between “draft” and “published”.

A Custom Activity can be pinned or unpinned by setting the pinned field to true or false when creating or updating a Custom Activity.

Custom Fields appear in the format: custom.{custom_field_id}. See Custom Fields.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
activity_atdatetime or nullOptional
contact_idstring or nullOptional
pinnedboolean or nullOptional
statusenumOptional
Allowed values:

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
custom_activity_type_idstring
date_createddatetime
date_updateddatetime
idstring
last_published_atdatetime or null
lead_idstring or null
mentionslist of strings
mentions_updated_atdatetime or null
organization_idstring
pinnedboolean
pinned_atdatetime or null
sourceenum or null

How the object was created, e.g. ui in the Close app, api through the API, import by a bulk import, or by an integration.

statusenum

Status of a Custom Activity. draft activities don’t require their required fields to be filled in yet.

Allowed values:
updated_bystring or null
user_idstring or null
userslist of strings
comment_summaryobject or nullOptional
created_by_agent_idstring or nullOptional
created_by_namestring or nullOptional
updated_by_agent_idstring or nullOptional
updated_by_namestring or nullOptional
user_namestring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error